| goname

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Find GO ontology terms by name

## Description

goname searches the names and synonyms of gene ontology terms and returns matching terms. The input is read from the installed GO database. The ontology term output can be written to screen, to file, or passed to another program. A wide range of standard ontology term formats may be specified for input and output.

Optionally the search can be restricted to specified GO namespaces.

## Usage

Here is a sample session with goname

    % goname glycoprotein
    Find GO ontology terms by name
    Obo output file [goname.obo]:

Go to the output files for this example

## Command line arguments

    Find GO ontology terms by name
    Version: EMBOSS:6.6.0.0

       Standard (Mandatory) qualifiers:
      [-query]             string     Name(s) to search for in ontology (Any
                                      string)
      [-outfile]           outobo     [*.goname] Output ontology term file name

       Additional (Optional) qualifiers:
       -namespace          menu       [*] By default all terms are returned.
                                      Searches can be limited to one or a few
                                      namespaces. (Values: biological_process
                                      (Biological process); cellular_component
                                      (Cellular component); molecular_function
                                      (Molecular function))

       Advanced (Unprompted) qualifiers:
       -subclasses         boolean    [N] Extend the query matches to include all
                                      terms which are specialisations (GO
                                      sub-classes) of the matched type.
       -obsolete           boolean    [N] The default behaviour is to not use or
                                      return obsolete terms. This option if set
                                      will include all terms.

       Associated qualifiers:

       "-outfile" associated qualifiers
       -odirectory2        string     Output directory
       -oformat2           string     Ontology term output format

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-query] (Parameter 1) | string | Name(s) to search for in ontology | Any string |
[-outfile] (Parameter 2) | outobo | Output ontology term file name | OBO ontology term(s) | <*>.goname
Additional (Optional) qualifiers

-namespace

list

By default all terms are returned. Searches can be limited to one or a few namespaces.

biological_process | (Biological process)
cellular_component | (Cellular component)
molecular_function | (Molecular function)

*

Advanced (Unprompted) qualifiers
-subclasses | boolean | Extend the query matches to include all terms which are specialisations (GO sub-classes) of the matched type. | Boolean value Yes/No | No
-obsolete | boolean | The default behaviour is to not use or return obsolete terms. This option if set will include all terms. | Boolean value Yes/No | No
Associated qualifiers
"-outfile" associated outobo qualifiers
-odirectory2 -odirectory_outfile | string | Output directory | Any string |
-oformat2 -oformat_outfile | string | Ontology term output format | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

goname queries the gene ontology.

## Output file format

The output is a standard EMBOSS ontology term file.

The results can be output in one of several styles by using the command-line qualifier `-oformat xxx`, where 'xxx' is replaced by the name of the required format. The available format names are: obo, brief, list, html, xml, json, excel.

See: http://emboss.sf.net/docs/themes/OntologyFormats.html for further information on ontology formats.

### Output files for usage example

### File: goname.obo

    [Term]
    id: GO:0051082
    name: unfolded protein binding
    namespace: molecular_function
    def: Interacting selectively and non-covalently with an unfolded protein.
    subset: goslim_generic
    subset: goslim_metagenomics
    subset: goslim_yeast
    subset: gosubset_prok
    synonym: "binding unfolded ER proteins" NARROW []
    synonym: "chaperone activity" RELATED []
    synonym: "fimbrium-specific chaperone activity" RELATED []
    synonym: "glycoprotein-specific chaperone activity" RELATED []
    synonym: "histone-specific chaperone activity" RELATED []
    synonym: "ribosomal chaperone activity" RELATED []
    synonym: "tubulin-specific chaperone activity" RELATED []
    is_a: GO:0005515 ! protein binding

    [Term]
    id: GO:0030144
    name: alpha-1,6-mannosylglycoprotein 6-beta-N-acetylglucosaminyltransferase activity
    namespace: molecular_function
    def: Catalysis of the reaction: UDP-N-acetyl-D-glucosamine + N-acetyl-beta-D-glucosaminyl-1,2-alpha-D-mannosyl-1,3(6)-(N-acetyl-beta-D-glucosaminyl-1,2-alpha-D-mannosyl,1,6(3))-beta-D-mannosyl-1,4-N-acetyl-beta-D-glucosaminyl-R = UDP + N-acetyl-beta-D-glucosaminyl-1,2-(N-acetyl-beta-D-glucosaminyl-1,6)-1,2-alpha-D-mannosyl-1,3(6)-(N-acetyl-beta-D-glucosaminyl-1,2-alpha-D-mannosyl-1,6(3))-beta-D-mannosyl-1,4-N-acetyl-beta-D-glucosaminyl-R. Only branched mannose glycopeptides with non-reducing N-acetylglucosamine terminal residues act as acceptors.
    synonym: "alpha-1,3(6)-mannosylglycoprotein beta-1,6-N-acetylglucosaminyltransferase activity" EXACT []
    synonym: "alpha-1,6-mannosyl-glycoprotein 6-beta-N-acetylglucosaminyltransferase activity" EXACT []
    synonym: "alpha-mannoside beta-1,6-N-acetylglucosaminyltransferase activity" EXACT [EC:2.4.1.155]
    synonym: "GnTV activity" EXACT [EC:2.4.1.155]
    synonym: "N-acetylglucosaminyltransferase V activity" RELATED [EC:2.4.1.155]
    synonym: "UDP-N-acetyl-D-glucosamine:6-[2-(N-acetyl-beta-D-glucosaminyl)-alpha-D-mannosyl]-glycoprotein 6-beta-N-acetyl-D-glucosaminyltransferase activity" EXACT [EC:2.4.1.155]
    synonym: "UDP-N-acetylglucosamine:alpha-mannoside-beta-1,6 N-acetylglucosaminyltransferase activity" EXACT [EC:2.4.1.155]
    synonym: "UDP-N-acetylglucosamine:alpha-mannoside-beta1,6 N-acetylglucosaminyltransferase activity" EXACT [EC:2.4.1.155]
    synonym: "uridine diphosphoacetylglucosamine-alpha-mannoside beta-1->6-acetylglucosaminyltransferase activity" EXACT [EC:2.4.1.155]
    synonym: "uridine diphosphoacetylglucosamine-alpha-mannoside beta1->6-acetylglucosaminyltransferase activity" EXACT [EC:2.4.1.155]
    xref: EC:2.4.1.155
    xref: MetaCyc:2.4.1.155-RXN
    xref: Reactome:REACT_25314 "Addition of GlcNAc to position 5 by MGAT5, Homo sapiens"
    xref: RHEA:16924
    is_a: GO:0008375 ! acetylglucosaminyltransferase activity

    [Term]
    id: GO:0010404
    name: cell wall hydroxyproline-rich glycoprotein metabolic process
    namespace: biological_process
    def: The chemical reactions and pathways involving a cell wall hydroxyproline-rich glycoprotein that consist of a core-protein backbone O-glycosylated by one or more complex carbohydrates.
    synonym: "cell wall hydroxyproline-rich glycoprotein metabolism" EXACT []
    is_a: GO:0010384 ! cell wall proteoglycan metabolic process

    [Term]
    id: GO:0006457
    name: protein folding

      [Part of this file has been deleted for brevity]

    xref: MetaCyc:2.4.1.146-RXN
    xref: RHEA:12227
    is_a: GO:0008375 ! acetylglucosaminyltransferase activity

    [Term]
    id: GO:0047186
    name: N-acetylneuraminate 7-O(or 9-O)-acetyltransferase activity
    namespace: molecular_function
    def: Catalysis of the reaction: N-acetylneuraminate + acetyl-CoA = N-acetyl-7-O(or 9-O)-acetylneuraminate + CoA.
    synonym: "acetyl-CoA:N-acetylneuraminate 7-O(or 9-O)-acetyltransferase activity" EXACT [EC:2.3.1.45]
    synonym: "acetyl-CoA:N-acetylneuraminate-7- and/or 8-O-acetyltransferase activity" EXACT [EC:2.3.1.45]
    synonym: "acetyl-CoA:N-acetylneuraminate-7- or 8-O-acetyltransferase activity" EXACT [EC:2.3.1.45]
    synonym: "acetyl-CoA:N-acetylneuraminate-9(7)-O-acetyltransferase activity" EXACT [EC:2.3.1.45]
    synonym: "acetyl-CoA:N-acetylneuraminate-9(or 7)-O-acetyltransferase activity" EXACT [EC:2.3.1.45]
    synonym: "glycoprotein 7(9)-O-acetyltransferase activity" EXACT [EC:2.3.1.45]
    synonym: "N-acetylneuraminate 7(8)-O-acetyltransferase activity" EXACT [EC:2.3.1.45]
    synonym: "N-acetylneuraminate 7,8-O-acetyltransferase activity" EXACT [EC:2.3.1.45]
    synonym: "N-acetylneuraminate O7-(or O9-)acetyltransferase activity" EXACT [EC:2.3.1.45]
    synonym: "sialate O-acetyltransferase" BROAD [EC:2.3.1.45]
    xref: EC:2.3.1.45
    xref: MetaCyc:2.3.1.45-RXN
    is_a: GO:0016413 ! O-acetyltransferase activity

    [Term]
    id: GO:0016263
    name: glycoprotein-N-acetylgalactosamine 3-beta-galactosyltransferase activity
    namespace: molecular_function
    def: Catalysis of the addition of a galactosyl residue to a non-reducing O-linked N-acetylgalactosamine residue in an O-glycan.
    synonym: "Core 1 GalT" RELATED []
    synonym: "UDP-galactose:glycoprotein-N-acetyl-D-galactosamine 3-beta-D-galactosyltransferase activity" EXACT [EC:2.4.1.122]
    synonym: "UDPgalactose:glycoprotein-N-acetyl-D-galactosamine 3-beta-D-galactosyltransferase activity" EXACT [EC:2.4.1.122]
    synonym: "uridine diphosphogalactose-mucin beta-(1->3)-galactosyltransferase activity" EXACT [EC:2.4.1.122]
    xref: EC:2.4.1.122
    xref: MetaCyc:2.4.1.122-RXN
    xref: Reactome:REACT_116072 "C1GALT1 transfers galactose to the Tn antigen forming Core 1 glycoproteins (T antigens), Homo sapiens"
    is_a: GO:0048531 ! beta-1,3-galactosyltransferase activity

    [Term]
    id: GO:0009101
    name: glycoprotein biosynthetic process
    namespace: biological_process
    def: The chemical reactions and pathways resulting in the formation of glycoproteins, any protein that contains covalently bound glycose (i.e. monosaccharide) residues; the glycose occurs most commonly as oligosaccharide or fairly small polysaccharide but occasionally as monosaccharide.
    subset: gosubset_prok
    synonym: "glycoprotein anabolism" EXACT []
    synonym: "glycoprotein biosynthesis" EXACT []
    synonym: "glycoprotein formation" EXACT []
    synonym: "glycoprotein synthesis" EXACT []
    is_a: GO:0009100 ! glycoprotein metabolic process
    is_a: GO:0034645 ! cellular macromolecule biosynthetic process
    is_a: GO:1901137 ! carbohydrate derivative biosynthetic process

## Data files

The gene Ontology is included in EMBOSS as local database go.

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
edamdef | Find EDAM ontology terms by definition
edamhasinput | Find EDAM ontology terms by has_input relation
edamhasoutput | Find EDAM ontology terms by has_output relation
edamisformat | Find EDAM ontology terms by is_format_of relation
edamisid | Find EDAM ontology terms by is_identifier_of relation
edamname | Find EDAM ontology terms by name
godef | Find GO ontology terms by definition
ontoget | Get ontology term(s)
ontogetcommon | Get common ancestor for terms
ontogetdown | Get ontology term(s) by parent id
ontogetobsolete | Get ontology ontology terms
ontogetroot | Get ontology root terms by child identifier
ontogetsibs | Get ontology term(s) by id with common parent
ontogetup | Get ontology term(s) by id of child
ontoisobsolete | Report whether an ontology term id is obsolete
ontotext | Get ontology term(s) original full text

## Author(s)

Peter Rice
European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None